> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coinvoyage.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Onramp Auth Token

> Create a short-lived Stripe Link auth token client secret for React Native seamless sign-in. The server uses the previously stored Link OAuth token for the provided auth intent.



## OpenAPI

````yaml https://api.coinvoyage.io/v3/openapi.json post /onramp/auth/token
openapi: 3.1.0
info:
  title: CoinVoyage API (v3)
  description: >-
    CoinVoyage v3 payment API. Unified Intent envelope, snake_case money via the
    Amount shape, and a single SHA-256 signature scheme.
  version: 3.0.0
servers:
  - url: https://api.coinvoyage.io/v3
security: []
paths:
  /onramp/auth/token:
    post:
      tags:
        - onramp
      summary: Create Onramp Auth Token
      description: >-
        Create a short-lived Stripe Link auth token client secret for React
        Native seamless sign-in. The server uses the previously stored Link
        OAuth token for the provided auth intent.
      operationId: createStripeOnrampAuthToken
      parameters:
        - description: API key for authentication
          in: header
          name: X-API-KEY
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkAuthTokenRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LinkAuthTokenResponse'
          description: Link auth token client secret created
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Invalid request body or seamless sign-in unavailable
        '502':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Stripe Link seamless sign-in failed upstream
        '504':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Stripe Link seamless sign-in timed out
      security:
        - APIKeyHeader: []
components:
  schemas:
    LinkAuthTokenRequest:
      example:
        auth_intent_id: lai_test_123
      properties:
        auth_intent_id:
          example: lai_test_123
          type: string
      required:
        - auth_intent_id
      type: object
    LinkAuthTokenResponse:
      example:
        expires_in: 5400
        link_auth_token_client_secret: latcs_test_123
      properties:
        link_auth_token_client_secret:
          example: latcs_test_123
          type: string
        expires_in:
          example: 5400
          format: int64
          type: integer
      required:
        - link_auth_token_client_secret
        - expires_in
      type: object
    ErrorResponse:
      example:
        code: 400
        error: Bad Request
        message: Invalid request parameters
      properties:
        error:
          example: Bad Request
          type: string
        message:
          example: Invalid request parameters
          type: string
        code:
          example: 400
          format: int64
          type: integer
        details:
          anyOf:
            - type: string
            - type: number
            - type: object
      required:
        - error
        - message
        - code
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-API-KEY
      type: apiKey

````